Bug 758470 - Review Request: vmmlib
Summary: Review Request: vmmlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 758472
TreeView+ depends on / blocked
 
Reported: 2011-11-29 21:31 UTC by Jaroslav Škarvada
Modified: 2012-01-02 21:55 UTC (History)
4 users (show)

Fixed In Version: vmmlib-1.0-0.2.rc1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-14 14:22:52 UTC
Type: ---
jkaluza: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2011-11-29 21:31:02 UTC
Spec URL: http://jskarvad.fedorapeople.org/vmmlib.spec
SRPM URL: http://jskarvad.fedorapeople.org/vmmlib-0-0.1.20111122svn540.fc17.src.rpm
Description: 

Hi, I just packaged vmmlib and I would appreciate the review.

vmmlib is a vector and matrix math library implemented using C++ templates.
Its basic functionality includes a vector and a matrix class, with additional
functionality for the often-used 3d and 4d vectors and 3x3 and 4x4 matrices.
More advanced functionality include solvers, frustum computations and frustum
culling classes, and spatial data structures.

I tried to enable the upstream testsuite but currently there are test cases that fails. Upstream has comment "problems on some unix machines" in the test suite source code, but no more details are currently available to me, thus I simply disabled all the problematic tests. I am going to investigate the issue more deep in the future.

The source code acknowledges Boost, but AFAIK there is less than 10 lines of code inspired by Boost, thus I didn't mention the Boost license in the spec file.

Comment 1 Jan Kaluža 2011-12-13 08:24:46 UTC
The package looks good to me and I haven't found any issue there. The only thing is that non-working unit-test. I can't say if the test itself is broken or there's really bug in vmmlib. The true is vmmlib throws an exception which can be catched later. But what I would like to see is to at least contact upstream and get its opinion on this. I'm not sure I want to accept library when unit-test fails for unknown reason.

Could you ask upstream to clarify the situation please? They look active according to commits, so it should not take a long time to get the response.

[YES] rpmplint is silent
[YES] Package meets naming guidelines.
[YES] Package meets packaging guidelines.
[YES] Spec file matches base package name.
[YES] License file is present, matching with spec file.
[YES] Licensing Guidelines are met.
[YES] Spec file is legible and in American English.
[YES] Sources match upstream.
[YES] Package builds OK.
[YES] BuildRequires are correct.
[YES] Package doesn't bundle copies of system libraries.
[YES] Package owns all the directories it creates.
[YES] Package has no duplicity in %files.
[YES] Permission on files are set properly.
[YES] Package is code or permissible content.
[YES] %doc files don't affect runtime.
[YES] Package doesn't own files/directories that other packages own.
[YES] All files are valid UTF-8.

Should items:
[YES] Package builds in mock.
[YES] Package uses sane scriptlets.
[NO] Package contains man pages.
[YES] Very simple functionality test passed.

Comment 2 Jaroslav Škarvada 2011-12-14 00:07:37 UTC
Thanks for the review. The problem seems to be caused by wrong initialization of integer variables on 64 bit platforms. The Fortran code uses/initializes 32 bit integers, but the f2c.h defines 64 bit integers, which are later used and compared in the test suite. Problem reported to f2c, bug 767408 and workarounded in vmmlib until correct fix will be available. Also there seems to be some more minor problems in vmmlib testsuite, I will report them upstream later.

Spec URL: http://jskarvad.fedorapeople.org/vmmlib.spec
SRPM URL:
http://jskarvad.fedorapeople.org/vmmlib-0-0.2.20111122svn540.fc16.src.rpm

Comment 3 Jaroslav Škarvada 2011-12-14 00:22:14 UTC
The problem was not in vmmlib templates nor lapack. It is responsibility of the code that uses the vmmlib to define this correctly.

Comment 4 Jan Kaluža 2011-12-14 07:55:07 UTC
Accepting the package now.

Comment 5 Jaroslav Škarvada 2011-12-14 09:05:57 UTC
New Package SCM Request
=======================
Package Name: vmmlib
Short Description: A vector and matrix math library implemented using C++ templates
Owners: jskarvad
Branches: f16
InitialCC: jkaluza

Comment 6 Gwyn Ciesla 2011-12-14 13:09:09 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-12-14 14:30:36 UTC
vmmlib-0-0.2.20111122svn540.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/vmmlib-0-0.2.20111122svn540.fc16

Comment 8 Jaroslav Škarvada 2011-12-14 16:14:56 UTC
FYI mostly all previously mentioned (minor) problems in unit tests got fixed in the latest version: vmmlib-0-0.3.20111214svn556

Comment 9 Jan Kaluža 2011-12-15 12:03:25 UTC
Great ;).

Comment 10 Fedora Update System 2011-12-20 14:20:53 UTC
vmmlib-1.0-0.2.rc1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/vmmlib-1.0-0.2.rc1.fc16

Comment 11 Fedora Update System 2012-01-02 21:55:35 UTC
vmmlib-1.0-0.2.rc1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.